## disable encrypt swap partition

* Turn off swap

~~~
swapoff /dev/mapper/cryptswap1
~~~

* Undo the existing mapping.

~~~
cryptsetup luksClose /dev/mapper/cryptswap
~~~

* remove your encrypt swap device define in your /etc/crypttab 

* ajust /etc/fstab to use your real swap partition 

~~~
/dev/nvme0n1p2   none   swap   discard   0   0
~~~

/!\ le point ci-dessous est sans doute inutile

* Change your /etc/default/grub GRUB_CMDLINE_LINUX_DEFAULT to point to your real partition

~~~
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash resume=/dev/nvme0n1p2"
~~~

~~~
update-grub
~~~

* edit /etc/initramfs-tools/conf.d/resume. Replace the existing RESUME line with the following line.

~~~
RESUME=/dev/nvme0n1p2
~~~

Register these changes.

~~~
update-initramfs -u -k all
~~~

* make your partition a swap

~~~
mkswap /dev/nvme0n1p2
~~~

* activate swap

~~~
swapon -a
~~~
